startmacro


waveform out=temp_flip_in shape=ramp ELEM=10 START=0 AMP=10
set f temp_flip_out
flip temp_flip_in temp_flip_out

assert/text="^reg.main.name: 10 element file 0..9" &
       FILE(f).data(0) EQ 9 AND &
       FILE(f).data(1) EQ 8 AND &
       FILE(f).data(2) EQ 7 AND &
       FILE(f).data(3) EQ 6 AND &
       FILE(f).data(4) EQ 5 AND &
       FILE(f).data(5) EQ 4 AND &
       FILE(f).data(6) EQ 3 AND &
       FILE(f).data(7) EQ 2 AND &
       FILE(f).data(8) EQ 1 AND &
       FILE(f).data(9) EQ 0

erase temp_flip_in temp_flip_out
endmacro
